Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class WorkSheetfromQuestion_PopUp
    Inherits BaseObject

    Private _WorkSheetType As WorkSheetType 'Munkalap tipusa
    Private _CustomersFrom As CustomersFrom 'Saját cég

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <ImmediatePostData(True), DataSourceCriteria("CustomersFrom = '@This.CustomersFrom'")>
    Property WorkSheetType() As WorkSheetType
        Get
            Return _WorkSheetType
        End Get
        Set(ByVal value As WorkSheetType)
            SetPropertyValue("WorkSheetType", _WorkSheetType, value)
        End Set
    End Property
    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
End Class
